TOCItem
Keywords: javax.help.TOCItem class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class TOCItem

    java.lang.Object
      javax.help.TreeItem
          javax.help.TOCItem

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  SearchTOCItem

public class TOCItem
extends TreeItem

A class for individual TOC items

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.help.TreeItem
`COLLAPSE, DEFAULT_EXPANSION, EXPAND`

Constructor Summary
`TOCItem()` Creates a default TOCItem.
`TOCItem(Map.ID id, Map.ID imageID, HelpSet hs, java.util.Locale locale)` Creates a TOCItem.
`TOCItem(Map.ID id, Map.ID imageID, java.util.Locale locale)` Creates a TOCItem with a default HelpSet based on its ID.

Method Summary
`Map.ID` | `getImageID()` Returns the image for this TOCItem.

Methods inherited from class javax.help.TreeItem
`getExpansionType, getHelpSet, getID, getLocale, getMergeType, getName, getPresentation, getPresentationName, getURL, setExpansionType, setHelpSet, setID, setMergeType, setName, setPresentation, setPresentationName, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TOCItem

    public TOCItem(Map.ID id,
                   Map.ID imageID,
                   HelpSet hs,
                   java.util.Locale locale)

  Creates a TOCItem.

Parameters:
  `id` - ID for the item. A null ID is valid.
  `hs` - The HelpSet scoping this item. In almost all cases this is the same as the HelpSet of the id field. A null ID is valid.

### TOCItem

    public TOCItem(Map.ID id,
                   Map.ID imageID,
                   java.util.Locale locale)

  Creates a TOCItem with a default HelpSet based on its ID.

Parameters:
  `id` - ID for the item. The ID can be null.

### TOCItem

    public TOCItem()

  Creates a default TOCItem.

Method Detail

### getImageID

    public Map.ID getImageID()

  Returns the image for this TOCItem.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD